"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UpiAppSelectListener = void 0;
var _reactNative = require("react-native");
class UpiAppSelectListener {
  constructor() {
    this.nativeEventEmitter = new _reactNative.NativeEventEmitter();
    this.listeners = new Set();
  }
  addListener(listener) {
    this.listeners.add(listener);
    return this.nativeEventEmitter.addListener('UpiAppSelected', listener);
  }
  removeListener(listener) {
    this.listeners.delete(listener);
    this.nativeEventEmitter.removeAllListeners('UpiAppSelected');
  }
  emitEvent(eventData) {
    this.nativeEventEmitter.emit('eventName', eventData);
  }
}
exports.UpiAppSelectListener = UpiAppSelectListener;
//# sourceMappingURL=UpiAppSelectListener.js.map