import { NativeEventEmitter } from 'react-native';
export class UpiAppSelectListener {
  constructor() {
    this.nativeEventEmitter = new NativeEventEmitter();
    this.listeners = new Set();
  }
  addListener(listener) {
    this.listeners.add(listener);
    return this.nativeEventEmitter.addListener('UpiAppSelected', listener);
  }
  removeListener(listener) {
    this.listeners.delete(listener);
    this.nativeEventEmitter.removeAllListeners('UpiAppSelected');
  }
  emitEvent(eventData) {
    this.nativeEventEmitter.emit('eventName', eventData);
  }
}
//# sourceMappingURL=UpiAppSelectListener.js.map