import { UpiAppSelectListener } from './UpiAppSelectListener';
export type CurrencyType = 'INR' | 'USD';
export type ParamsType = {
    receiverUpi: string;
    merchantCode?: string;
    amount: number;
    currency?: CurrencyType;
    pn?: string;
    note?: string;
    txnRef?: string;
};
export type Options = {
    cancelable?: boolean;
    cancelOnTouchOutside?: boolean;
    blockedApps?: Array<string>;
};
export type UpiAppsResult = {
    appName: string;
    packageName: string;
};
export type UpiAppSelectParams = {
    packageName: string;
    paymentUri: string;
};
export declare const initWithParams: (params: ParamsType, options?: Options) => Promise<string>;
export declare const fetchUpiApps: (options?: Options) => Promise<Array<UpiAppsResult>>;
export declare const initWithUri: (uri: String, options?: Options) => Promise<string>;
export declare function isAppInstalled(packageName: string): Promise<boolean>;
export declare const upiAppSelectListener: UpiAppSelectListener;
//# sourceMappingURL=index.d.ts.map